package de.ozgcloud.eingang.semantik.enginebased.afm;

import java.util.List;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlText;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.Singular;

@JacksonXmlRootElement(localName = "data")
@Builder
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class ZustaendigeStelleData {

	@JacksonXmlProperty(localName = "field")
	@JacksonXmlElementWrapper(useWrapping = false)
	@Singular
	private List<Field> fields;

	@Getter
	@Setter
	@NoArgsConstructor
	@AllArgsConstructor
	@Builder
	public static class Field {

		@JacksonXmlProperty(isAttribute = true)
		private String name;

		@JacksonXmlText
		private String value;

	}
}
